#!/bin/bash
set -ex

SKIP_FILE=/tmp/skip-poweroff
/bin/date
if [[ -f "$SKIP_FILE" ]]; then
    echo "poweroff skipped for this time."
    rm -rf "$SKIP_FILE"
else
    /sbin/shutdown -h 60
    wall "The system shutdown is scheduled in 1 hour. Use 'shutdown -c' to cancel."
fi
echo
